Bağlantı sağlık özetini getir
curl --request GET \
--url https://api.tahsil.dev/banks/accounts/{id}/health \
--header 'Authorization: Bearer <token>' \
--header 'x-company-id: <x-company-id>'const options = {
method: 'GET',
headers: {'x-company-id': '<x-company-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.tahsil.dev/banks/accounts/{id}/health', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tahsil.dev/banks/accounts/{id}/health",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"x-company-id: <x-company-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"status": true,
"result": {
"accountId": "<string>",
"bankCode": "<string>",
"credentialConfigured": true,
"sync": {
"lastAttemptAt": "2023-11-07T05:31:56Z",
"lastSuccessAt": "2023-11-07T05:31:56Z",
"lastErrorAt": "2023-11-07T05:31:56Z",
"lastErrorCode": "<string>",
"lastErrorMessage": "<string>",
"lastDurationMs": 1,
"lastResult": {
"fetched": 1,
"inserted": 1,
"duplicates": 1
}
},
"lastProviderSetupAt": "2023-11-07T05:31:56Z",
"lastProviderSyncAt": "2023-11-07T05:31:56Z",
"schedule": {},
"lastAttempt": {}
}
}{
"status": false,
"code": "TRANSACTION_AMOUNT_RANGE_INVALID",
"message": "minAmount, maxAmount değerinden büyük olamaz."
}Bağlantı sağlık özetini getir
GET
/
banks
/
accounts
/
{id}
/
health
Bağlantı sağlık özetini getir
Yetkilendirmeler
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Başlıklar
Yol Parametreleri
Bu sayfa yararlı mıydı?
⌘I